# eric4.DebugClients.Python.DCTestResult

Module implementing a TestResult derivative for the eric4 debugger.

### Global Attributes

None

### Classes

DCTestResult | A TestResult derivative to work with eric4's debug client.

### Functions

None

## DCTestResult

A TestResult derivative to work with eric4's debug client.

For more details see unittest.py of the standard python distribution.

### Derived from

TestResult

### Class Attributes

None

### Class Methods

None

### Methods

DCTestResult | Constructor
addError | Method called if a test errored.
addFailure | Method called if a test failed.
startTest | Method called at the start of a test.
stopTest | Method called at the end of a test.

### Static Methods

None

#### DCTestResult (Constructor)

DCTestResult(parent)

Constructor

parent
  The parent widget.

#### DCTestResult.addError

addError(test, err)

Method called if a test errored.

test
  Reference to the test object
err
  The error traceback

#### DCTestResult.addFailure

addFailure(test, err)

Method called if a test failed.

test
  Reference to the test object
err
  The error traceback

#### DCTestResult.startTest

startTest(test)

Method called at the start of a test.

test
  Reference to the test object

#### DCTestResult.stopTest

stopTest(test)

Method called at the end of a test.

test
  Reference to the test object

Up